<?php
/*! @file

    @id $Id$

    @see @ref apiget

    @page api

    @section apiget Get Messages

    API-call get.php

    Get all messages that are newer than start.

    @param start Number of message to start with.
    @return json encoded array of messages:
       @code
           [
             {
               id: message-id,
               time: unix-time-stamp,
               user: 'sender's user name',
               msg: 'armored and encrypted message as string'
             }, ...
           ]
       @endcode
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890
require_once("messagetable.php");
try {
  $start = $db->real_escape_string($_REQUEST['start']);
  $q = $db->query("select id, UNIX_TIMESTAMP(time) as time, user, msg from message where id>$start;");
  echo json_encode($q->fetch_all(MYSQLI_ASSOC));
} catch (Exception $e) {
  echo json_encode(null);
}
?>
